using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService
{
    /// <summary>
	/// token信息
	/// </summary>
	public interface ITokenService
    {
        Pub_User_Info CheckToken(string token);
        Pub_Pat_Info CheckTokenForPat(string token);

        string SetReport(int userId);

        int UpdateUserVersion(int id,string vers);
    }
}
